/*
 * Class INTERVAL [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_897 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_897 [] = {0xFF01,237,896,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_897 [] = {0xFF01,896,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_897 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_897 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_897 [] = {0xFF01,896,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_897 [] = {0xFF01,896,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_897 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_897 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_897 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_897 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_897 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_897 [] = {896,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_897 [] = {0xFF01,896,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_897 [] = {0xFF01,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_897 [] = {0xFF01,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_897 [] = {0xFF01,880,0xFFFF};
static const EIF_TYPE_INDEX egt_17_897 [] = {0xFF01,896,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_897 [] = {896,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_897 [] = {0xFF01,896,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_897 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_897[] = {
	{EIF_GENERIC(NULL), 12832, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_897), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_897), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12806, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_897), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_897), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_897), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_897), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_897), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_897), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_897), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_897), 12831, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_897), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_897), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_897), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_897), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12802, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_897), 12803, 0},
	{EIF_GENERIC(egt_15_897), 12804, 4},
	{EIF_GENERIC(egt_16_897), 12805, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12807, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12816, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12817, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12818, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12819, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12820, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12821, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12822, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12824, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12825, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12826, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12827, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_897), 12828, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_897), 12829, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_897), 12830, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12815, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12814, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12812, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_897), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12808, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12809, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12810, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12811, 0xFFFFFFFF},
};
void Init897(void)
{
	IDSC(desc_897, 0, 896);
	IDSC(desc_897 + 1, 1, 896);
	IDSC(desc_897 + 32, 394, 896);
	IDSC(desc_897 + 57, 203, 896);
}


#ifdef __cplusplus
}
#endif
